Bug 1749233 - by default 'log_min_duration_statement = 1000' should be configured for PostgreSQL
Summary: by default 'log_min_duration_statement = 1000' should be configured for Postg...
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer
Version: Unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: 6.7.0
Assignee: Ewoud Kohl van Wijngaarden
QA Contact: Devendra Singh
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-05 07:59 UTC by Jan Hutař
Modified: 2020-01-28 10:20 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Not needed in release notes.
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 27846 Normal Closed by default 'log_min_duration = 1000' should be configured for PostgreSQL 2020-01-28 10:00:13 UTC

Description Jan Hutař 2019-09-05 07:59:34 UTC
Description of problem:
To gather more data when checking support cases, having 'log_min_duration = 1000' in PostgreSQL config by default would be great.


Expected results:
'log_min_duration = 500' should be in PostgreSQL config file on both freshly installed and upgraded Satellite:

# grep log_min_duration /var/lib/pgsql/data/postgresql.conf


Additional info:
Tuning profiles already have 'log_min_duration = 500'
https://github.com/RedHatSatellite/satellite-support/tree/master/tuning-profiles

Note this can be also achieved via /etc/foreman-installer/custom-hiera.yaml by:

postgresql::server::config_entries:
  log_min_duration_statement: 1000

Comment 2 Ewoud Kohl van Wijngaarden 2019-09-12 16:12:50 UTC
Created redmine issue https://projects.theforeman.org/issues/27846 from this bug

Comment 3 Ewoud Kohl van Wijngaarden 2019-09-12 16:18:01 UTC
The title says 1000 but the expected result states 500. Which one should it be? In https://github.com/theforeman/foreman-installer/pull/389 I went with 1000 since that feels like a safer default to me.

Comment 4 Jan Hutař 2019-09-12 17:36:39 UTC
I'm very sorry for confusion. Make it "1000" for start.

Comment 5 Bryan Kearney 2019-09-12 20:05:00 UTC
Upstream bug assigned to ekohlvan@redhat.com

Comment 6 Bryan Kearney 2019-09-12 20:05:02 UTC
Upstream bug assigned to ekohlvan@redhat.com

Comment 12 sthirugn@redhat.com 2019-12-12 16:39:46 UTC
This can wait for 6.7.0 release, removing the 6.6.z flag.

Comment 13 Devendra Singh 2020-01-28 10:20:06 UTC
Verified this issue with 6.7 Snap 10 on the upgraded as well as freshly installed setup.

# rpm -q satellite-installer
satellite-installer-6.7.0.6-1.beta.el7sat.noarch

grep log_min_duration /var/lib/pgsql/data/postgresql.conf
   #log_min_duration_statement = -1	# -1 is disabled, 0 logs all statements
   log_min_duration_statement = 1000


Note You need to log in before you can comment on or make changes to this bug.